[**@rxap/tree v19.0.2**](../README.md)

***

[@rxap/tree](../globals.md) / FormFactory

# Function: FormFactory()

> **FormFactory**(`injector`, `state`, `existingFormDefinition`): [`SearchForm`](../classes/SearchForm.md)

Defined in: [tree/src/lib/search.form.ts:42](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/tree/src/lib/search.form.ts#L42)

## Parameters

### injector

`Injector`

### state

`null` | [`ISearchForm`](../interfaces/ISearchForm.md)\<`unknown`\>

### existingFormDefinition

`null` | [`SearchForm`](../classes/SearchForm.md)\<`unknown`\>

## Returns

[`SearchForm`](../classes/SearchForm.md)
